Subject: RE: bug#7533: 24.0.50; `dired-mark-pop-up': delete frame afterwards if `pop-up-frames'

From: "Drew Adams" <[email-masked]>
Date: Fri, 17 Dec 2010 08:55:40 -0800

>  > Apparently you think that the proper fix of removing the 
>  > frame is too hard to implement for some reason.  In that
>  > case I request that we return to the sane behavior of Emacs 22.
> 
> You can get the "sane" behavior if you don't include such buffers in
> `special-display-regexps'.
> 
>  > emacs -Q in Emacs 22 does exactly what I described: it 
>  > pops up a window, not a frame, and it removes the window
>  > when the user dialog is finished.
> 
> emacs -Q in Emacs 23 does the same.

Not at all.  The context you omitted makes it clear that (a) you are reaching
for straws by bringing in `dired-shrink-to-fit' and (b) Emacs 22 does not suffer
the bug: it removes the temporary display when done.

You are showing nothing but bad faith.  Why did you even make the partial fix,
wrt `pop-up-frames'?  Why don't you just tell users they can get the "sane"
behavior by setting `pop-up-frames' to nil?  This is a sorry state indeed.